# Generated by ariadne-codegen
# Source: tools/graphql_codegen/automations/

__all__ = [
    "CREATE_FILTER_TRIGGER_GQL",
    "CREATE_GENERIC_WEBHOOK_INTEGRATION_GQL",
    "DELETE_TRIGGER_GQL",
    "GENERIC_WEBHOOK_INTEGRATIONS_BY_ENTITY_GQL",
    "GET_TRIGGERS_BY_ENTITY_GQL",
    "GET_TRIGGERS_GQL",
    "INTEGRATIONS_BY_ENTITY_GQL",
    "SLACK_INTEGRATIONS_BY_ENTITY_GQL",
    "UPDATE_FILTER_TRIGGER_GQL",
]

GET_TRIGGERS_GQL = """
query GetTriggers($cursor: String, $perPage: Int) {
  searchScope: viewer {
    projects(after: $cursor, first: $perPage) {
      ...ProjectConnectionFields
    }
  }
}

fragment ArtifactPortfolioScopeFields on ArtifactPortfolio {
  __typename
  id
  name
}

fragment ArtifactSequenceScopeFields on ArtifactSequence {
  __typename
  id
  name
}

fragment FilterEventFields on FilterEventTriggeringCondition {
  __typename
  eventType
  filter
}

fragment GenericWebhookActionFields on GenericWebhookTriggeredAction {
  __typename
  integration {
    __typename
    ...GenericWebhookIntegrationFields
  }
  requestPayload
}

fragment GenericWebhookIntegrationFields on GenericWebhookIntegration {
  __typename
  id
  name
  urlEndpoint
  createdAt
}

fragment NoOpActionFields on NoOpTriggeredAction {
  __typename
  noOp
}

fragment NotificationActionFields on NotificationTriggeredAction {
  __typename
  integration {
    __typename
    ...SlackIntegrationFields
  }
  title
  message
  severity
}

fragment PageInfoFields on PageInfo {
  endCursor
  hasNextPage
}

fragment ProjectConnectionFields on ProjectConnection {
  __typename
  pageInfo {
    ...PageInfoFields
  }
  edges {
    cursor
    node {
      triggers {
        ...TriggerFields
      }
    }
  }
}

fragment ProjectScopeFields on Project {
  __typename
  id
  name
}

fragment QueueJobActionFields on QueueJobTriggeredAction {
  __typename
  queue {
    ...RunQueueFields
  }
  template
}

fragment RunQueueFields on RunQueue {
  __typename
  id
  name
}

fragment SlackIntegrationFields on SlackIntegration {
  __typename
  id
  teamName
  channelName
}

fragment TriggerFields on Trigger {
  __typename
  id
  createdAt
  createdBy {
    ...UserFields
  }
  updatedAt
  name
  description
  enabled
  scope {
    __typename
    ...ProjectScopeFields
    ...ArtifactPortfolioScopeFields
    ...ArtifactSequenceScopeFields
  }
  event: triggeringCondition {
    __typename
    ...FilterEventFields
  }
  action: triggeredAction {
    __typename
    ...QueueJobActionFields
    ...NotificationActionFields
    ...GenericWebhookActionFields
    ...NoOpActionFields
  }
}

fragment UserFields on User {
  __typename
  id
  username
}
"""

GET_TRIGGERS_BY_ENTITY_GQL = """
query GetTriggersByEntity($entityName: String!, $cursor: String, $perPage: Int) {
  searchScope: entity(name: $entityName) {
    projects(after: $cursor, first: $perPage) {
      ...ProjectConnectionFields
    }
  }
}

fragment ArtifactPortfolioScopeFields on ArtifactPortfolio {
  __typename
  id
  name
}

fragment ArtifactSequenceScopeFields on ArtifactSequence {
  __typename
  id
  name
}

fragment FilterEventFields on FilterEventTriggeringCondition {
  __typename
  eventType
  filter
}

fragment GenericWebhookActionFields on GenericWebhookTriggeredAction {
  __typename
  integration {
    __typename
    ...GenericWebhookIntegrationFields
  }
  requestPayload
}

fragment GenericWebhookIntegrationFields on GenericWebhookIntegration {
  __typename
  id
  name
  urlEndpoint
  createdAt
}

fragment NoOpActionFields on NoOpTriggeredAction {
  __typename
  noOp
}

fragment NotificationActionFields on NotificationTriggeredAction {
  __typename
  integration {
    __typename
    ...SlackIntegrationFields
  }
  title
  message
  severity
}

fragment PageInfoFields on PageInfo {
  endCursor
  hasNextPage
}

fragment ProjectConnectionFields on ProjectConnection {
  __typename
  pageInfo {
    ...PageInfoFields
  }
  edges {
    cursor
    node {
      triggers {
        ...TriggerFields
      }
    }
  }
}

fragment ProjectScopeFields on Project {
  __typename
  id
  name
}

fragment QueueJobActionFields on QueueJobTriggeredAction {
  __typename
  queue {
    ...RunQueueFields
  }
  template
}

fragment RunQueueFields on RunQueue {
  __typename
  id
  name
}

fragment SlackIntegrationFields on SlackIntegration {
  __typename
  id
  teamName
  channelName
}

fragment TriggerFields on Trigger {
  __typename
  id
  createdAt
  createdBy {
    ...UserFields
  }
  updatedAt
  name
  description
  enabled
  scope {
    __typename
    ...ProjectScopeFields
    ...ArtifactPortfolioScopeFields
    ...ArtifactSequenceScopeFields
  }
  event: triggeringCondition {
    __typename
    ...FilterEventFields
  }
  action: triggeredAction {
    __typename
    ...QueueJobActionFields
    ...NotificationActionFields
    ...GenericWebhookActionFields
    ...NoOpActionFields
  }
}

fragment UserFields on User {
  __typename
  id
  username
}
"""

CREATE_FILTER_TRIGGER_GQL = """
mutation CreateFilterTrigger($params: CreateFilterTriggerInput!) {
  createFilterTrigger(input: $params) {
    ...CreateFilterTriggerResult
  }
}

fragment ArtifactPortfolioScopeFields on ArtifactPortfolio {
  __typename
  id
  name
}

fragment ArtifactSequenceScopeFields on ArtifactSequence {
  __typename
  id
  name
}

fragment CreateFilterTriggerResult on CreateFilterTriggerPayload {
  __typename
  trigger {
    ...TriggerFields
  }
}

fragment FilterEventFields on FilterEventTriggeringCondition {
  __typename
  eventType
  filter
}

fragment GenericWebhookActionFields on GenericWebhookTriggeredAction {
  __typename
  integration {
    __typename
    ...GenericWebhookIntegrationFields
  }
  requestPayload
}

fragment GenericWebhookIntegrationFields on GenericWebhookIntegration {
  __typename
  id
  name
  urlEndpoint
  createdAt
}

fragment NoOpActionFields on NoOpTriggeredAction {
  __typename
  noOp
}

fragment NotificationActionFields on NotificationTriggeredAction {
  __typename
  integration {
    __typename
    ...SlackIntegrationFields
  }
  title
  message
  severity
}

fragment ProjectScopeFields on Project {
  __typename
  id
  name
}

fragment QueueJobActionFields on QueueJobTriggeredAction {
  __typename
  queue {
    ...RunQueueFields
  }
  template
}

fragment RunQueueFields on RunQueue {
  __typename
  id
  name
}

fragment SlackIntegrationFields on SlackIntegration {
  __typename
  id
  teamName
  channelName
}

fragment TriggerFields on Trigger {
  __typename
  id
  createdAt
  createdBy {
    ...UserFields
  }
  updatedAt
  name
  description
  enabled
  scope {
    __typename
    ...ProjectScopeFields
    ...ArtifactPortfolioScopeFields
    ...ArtifactSequenceScopeFields
  }
  event: triggeringCondition {
    __typename
    ...FilterEventFields
  }
  action: triggeredAction {
    __typename
    ...QueueJobActionFields
    ...NotificationActionFields
    ...GenericWebhookActionFields
    ...NoOpActionFields
  }
}

fragment UserFields on User {
  __typename
  id
  username
}
"""

UPDATE_FILTER_TRIGGER_GQL = """
mutation UpdateFilterTrigger($params: UpdateFilterTriggerInput!) {
  updateFilterTrigger(input: $params) {
    ...UpdateFilterTriggerResult
  }
}

fragment ArtifactPortfolioScopeFields on ArtifactPortfolio {
  __typename
  id
  name
}

fragment ArtifactSequenceScopeFields on ArtifactSequence {
  __typename
  id
  name
}

fragment FilterEventFields on FilterEventTriggeringCondition {
  __typename
  eventType
  filter
}

fragment GenericWebhookActionFields on GenericWebhookTriggeredAction {
  __typename
  integration {
    __typename
    ...GenericWebhookIntegrationFields
  }
  requestPayload
}

fragment GenericWebhookIntegrationFields on GenericWebhookIntegration {
  __typename
  id
  name
  urlEndpoint
  createdAt
}

fragment NoOpActionFields on NoOpTriggeredAction {
  __typename
  noOp
}

fragment NotificationActionFields on NotificationTriggeredAction {
  __typename
  integration {
    __typename
    ...SlackIntegrationFields
  }
  title
  message
  severity
}

fragment ProjectScopeFields on Project {
  __typename
  id
  name
}

fragment QueueJobActionFields on QueueJobTriggeredAction {
  __typename
  queue {
    ...RunQueueFields
  }
  template
}

fragment RunQueueFields on RunQueue {
  __typename
  id
  name
}

fragment SlackIntegrationFields on SlackIntegration {
  __typename
  id
  teamName
  channelName
}

fragment TriggerFields on Trigger {
  __typename
  id
  createdAt
  createdBy {
    ...UserFields
  }
  updatedAt
  name
  description
  enabled
  scope {
    __typename
    ...ProjectScopeFields
    ...ArtifactPortfolioScopeFields
    ...ArtifactSequenceScopeFields
  }
  event: triggeringCondition {
    __typename
    ...FilterEventFields
  }
  action: triggeredAction {
    __typename
    ...QueueJobActionFields
    ...NotificationActionFields
    ...GenericWebhookActionFields
    ...NoOpActionFields
  }
}

fragment UpdateFilterTriggerResult on UpdateFilterTriggerPayload {
  __typename
  trigger {
    ...TriggerFields
  }
}

fragment UserFields on User {
  __typename
  id
  username
}
"""

DELETE_TRIGGER_GQL = """
mutation DeleteTrigger($id: ID!) {
  deleteTrigger(input: {triggerID: $id}) {
    ...DeleteTriggerResult
  }
}

fragment DeleteTriggerResult on DeleteTriggerPayload {
  __typename
  success
}
"""

INTEGRATIONS_BY_ENTITY_GQL = """
query IntegrationsByEntity($entityName: String!, $cursor: String, $perPage: Int, $includeSlack: Boolean = false, $includeWebhook: Boolean = false) {
  entity(name: $entityName) {
    integrations(after: $cursor, first: $perPage) {
      ...IntegrationConnectionFields
    }
  }
}

fragment GenericWebhookIntegrationFields on GenericWebhookIntegration {
  __typename
  id
  name
  urlEndpoint
  createdAt
}

fragment IntegrationConnectionFields on IntegrationConnection {
  __typename
  pageInfo {
    ...PageInfoFields
  }
  edges {
    cursor
    node {
      __typename
      ...SlackIntegrationFields @include(if: $includeSlack)
      ...GenericWebhookIntegrationFields @include(if: $includeWebhook)
    }
  }
}

fragment PageInfoFields on PageInfo {
  endCursor
  hasNextPage
}

fragment SlackIntegrationFields on SlackIntegration {
  __typename
  id
  teamName
  channelName
}
"""

SLACK_INTEGRATIONS_BY_ENTITY_GQL = """
query SlackIntegrationsByEntity($entityName: String!, $cursor: String, $perPage: Int) {
  entity(name: $entityName) {
    integrations(after: $cursor, first: $perPage) {
      ...SlackIntegrationConnectionFields
    }
  }
}

fragment PageInfoFields on PageInfo {
  endCursor
  hasNextPage
}

fragment SlackIntegrationConnectionFields on IntegrationConnection {
  __typename
  pageInfo {
    ...PageInfoFields
  }
  edges {
    cursor
    node {
      __typename
      ...SlackIntegrationFields
    }
  }
}

fragment SlackIntegrationFields on SlackIntegration {
  __typename
  id
  teamName
  channelName
}
"""

GENERIC_WEBHOOK_INTEGRATIONS_BY_ENTITY_GQL = """
query GenericWebhookIntegrationsByEntity($entityName: String!, $cursor: String, $perPage: Int) {
  entity(name: $entityName) {
    integrations(after: $cursor, first: $perPage) {
      ...GenericWebhookIntegrationConnectionFields
    }
  }
}

fragment GenericWebhookIntegrationConnectionFields on IntegrationConnection {
  __typename
  pageInfo {
    ...PageInfoFields
  }
  edges {
    cursor
    node {
      __typename
      ...GenericWebhookIntegrationFields
    }
  }
}

fragment GenericWebhookIntegrationFields on GenericWebhookIntegration {
  __typename
  id
  name
  urlEndpoint
  createdAt
}

fragment PageInfoFields on PageInfo {
  endCursor
  hasNextPage
}
"""

CREATE_GENERIC_WEBHOOK_INTEGRATION_GQL = """
mutation CreateGenericWebhookIntegration($params: CreateGenericWebhookIntegrationInput!) {
  createGenericWebhookIntegration(input: $params) {
    integration {
      __typename
      ...GenericWebhookIntegrationFields
    }
  }
}

fragment GenericWebhookIntegrationFields on GenericWebhookIntegration {
  __typename
  id
  name
  urlEndpoint
  createdAt
}
"""
